ESMTP(1)

NAME
esmtp - libESMTP to Sendmail compatibility interface

SYNOPSIS
esmtp [flags] [address ...]
sendmail [flags] [address ...] mailq
sendmail -bp newaliases
sendmail -bi

DESCRIPTION
Esmtp is a send-only sendmail emulator for machines which normally retrieve their mail from a centralized mailhub using programs such as fetchmail. Esmtp does not attempt to provide all the functionality of sendmail: it is intended to be used by mail user agents as mutt.

OPTIONS
Most sendmail options are irrelevant to esmtp . Those marked ``ignored'' or ``default'' have no effect on mail transfer. Those marked ``unsupported'' are fatal errors.

-Ac (ignored)
    Use submit.cf even if the operation mode does not indicate an initial mail submission.

-Am (ignored)
    Use sendmail.cf even if the operation mode indicates an initial mail submission.

-B type
    Set the body type to type. Current legal values are 7BIT or 8BITMIME.

-ba (unsupported)
    Go into ARPANET mode.

-bd (unsupported)
    Run as a daemon.

-bD (unsupported)
    Same as -bd except runs in foreground.

-bh (unsupported)
    Print the persistent host status database.

-bH (unsupported)
    Purge expired entries from the persistent host status database.

-bi (ignored)
    Initialize the alias database.

-bm (default)
    Deliver mail in the usual way.

-bp Print a listing of the queue(s).

-bP (unsupported)
    Print number of entries in the queue(s); only available with shared memory support.

-bs (unsupported)
    Use the SMTP protocol as described in RFC821 on standard input and output.

-bt (unsupported)
    Run in address test mode.

-bv (unsupported)
    Verify names only - do not try to collect or deliver a message.

-C file
    Use alternate configuration file.

-d X (ignored)
    Set debugging value to X.

-F fullname
    Set the full name of the sender.

-f name
    Sets the name of the ``from'' person (i.e., the envelope sender of the mail). This address may also be used in the From: header if that header is missing during initial submission. The envelope sender address is used as the recipient for delivery status notifications and may also appear in a Return-Path: header. This address is also used to select from different identities in the configuration file. If no envelope sender is specified in the command line then the default identity's address is used.

-G (ignored)
    Relay (gateway) submission of a message.

-h N (ignored)
    Set the hop count to N.

-I (ignored)
    Same as -bi.

-i (ignored)
    Ignore dots alone on lines by themselves in incoming messages. This should be set if you are reading data from a file.

-L tag (ignored)
    Set the identifier used in syslog messages to the supplied tag.

-N dsn
    Set delivery status notification conditions to dsn, which can be `never' for no notifications or a comma separated list of the values `failure' to be notified if delivery failed, `delay' to be notified if delivery is delayed, and `success' to be notified when the message is successfully delivered.

-n (default)
    Don't do aliasing.

-O option=value (ignored)
    Set option option to the specified value. This form uses long names.

-o x value (ignored)
    Set option x to the specified value. This form uses single character names only.

-p protocol (ignored)
    Set the name of the protocol used to receive the message.

-q[time] (ignored)
    Process saved messages in the queue at given intervals.

-qp[time] (ignored)
    Similar to -qtime, except that instead of periodically forking a child to process the queue, forks a single persistent child for each queue that alternates between processing the queue and sleeping.

-qf (ignored)
    Process saved messages in the queue once and do not fork(), but run in the foreground.

-qG name (ignored)
    Process jobs in queue group called name only.

-q[!]I substr (ignored)
    Limit processed jobs to those containing substr as a substring of the queue id or not when ! is specified.

-q[!]R substr (ignored)
    Limit processed jobs to those containing substr as a substring of one of the recipients or not when ! is specified.

-q[!]S substr (ignored)
    Limit processed jobs to those containing substr as a substring of the sender or not when ! is specified.

-R return
    Set the amount of the message to be returned if the message bounces. The return parameter can be `full' to return the entire message or `hdrs' to return only the headers. In the latter case also local bounces return only the headers.

-r name
    An alternate and obsolete form of the -f flag.

-t  Read message for recipients. To:, Cc:, and Bcc: lines will be scanned for recipient addresses. The Bcc: line will be deleted before transmission.

-V envid
    Set the original envelope id.

-v  Go into verbose mode.

-X logfile
    Log all traffic in and out of mailers in the indicated log file.

--  Stop processing command flags and use the rest of the arguments as addresses.

FILES

~/.esmtprc
    User configuration file. Only read if no configuration file is specified on the command line.

/etc/esmtprc
    System configuration file. Only read if no configuration file is specified on the command line and there is no user configuration file.

SEE ALSO
esmtprc(5), fetchmail(1)

AUTHOR
José Fonseca